=== lib/kernel/cellspu/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# lib/kernel/cellspu/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Process this file with automake to produce Makefile.in
# 
# Copyright (c) 2011 Universidad Rey Juan Carlos
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# rules.mk - the make rules for building the kernel library
# 
# Copyright (c) 2013 Erik Schnetter
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# The caller (the Makefile which includes this file) needs to set the
# following variables:
# 
# KERNEL_TARGET
# CLANG_FLAGS
# LLC_FLAGS
# LD_FLAGS

# sources.mk - a list of all kernel source files
# 
# Copyright (c) 2011-2013 Universidad Rey Juan Carlos
#                         Pekka Jääskeläinen / Tampere University of Technology
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.


am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/pocl
pkgincludedir = $(includedir)/pocl
pkglibdir = $(libdir)/pocl
pkglibexecdir = $(libexecdir)/pocl
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
DIST_COMMON = $(srcdir)/../rules.mk $(srcdir)/../sources.mk \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in
am__append_1 = printf.c
subdir = lib/kernel/cellspu
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_boost_base.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(pkgdatadir)"
DATA = $(nodist_pkgdata_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/visit0r/src/pocl-public/config/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /home/visit0r/src/pocl-public/config/missing --run autoconf
AUTOHEADER = ${SHELL} /home/visit0r/src/pocl-public/config/missing --run autoheader
AUTOMAKE = ${SHELL} /home/visit0r/src/pocl-public/config/missing --run automake-1.11
AWK = gawk
BOOST_CPPFLAGS = -I/usr/include
BOOST_LDFLAGS = -L/usr/lib64
CC = ccache gcc-4.7
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CLANG = /home/visit0r/local/stow/llvm-3.5-opt-tce-patched/bin/clang
CLANGXX = /home/visit0r/local/stow/llvm-3.5-opt-tce-patched/bin/clang++
CLANGXX_FLAGS =  -DVML_NO_IOSTREAM
CLFLAGS =  -D__OPENCL_VERSION__=120
CPP = ccache gcc-4.7 -E
CPPFLAGS = 
CXX = ccache g++-4.7
CXXCPP = ccache g++-4.7 -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O3 -Wall -Wextra -Wno-long-long 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
FORCED_CLFLAGS = -Xclang -ffake-address-space-map -fno-math-errno -fblocks -fno-builtin -fasm -Wno-format
GLEW_CFLAGS = -I/usr/include/GL  
GLEW_LIBS = -lGLEW  
GREP = /bin/grep
HOST = x86_64-unknown-linux-gnu
HOST_AS_FLAGS = 
HOST_CLANG_FLAGS =  --target=x86_64-unknown-linux-gnu -march=penryn -D_CL_DISABLE_HALF
HOST_CPU = x86_64
HOST_LD_FLAGS = -shared -lm
HOST_LLC_FLAGS = -relocation-model=pic -mtriple=x86_64-unknown-linux-gnu -mcpu=penryn
HOST_SIZEOF_DOUBLE = 8
HOST_SIZEOF_HALF = 2
HOST_SIZEOF_LONG = 8
HOST_SIZEOF_VOID_P = 8
HWLOC_CFLAGS = -I/usr/include/libxml2  
HWLOC_LIBS = -lhwloc  
ICD_LD_FLAGS = -Wl,-Bsymbolic
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KERNEL_COMPILER_LIB_VERSION = 3:0:0
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = -L/home/visit0r/local/lib
LD_FLAGS_BIN =   -L/home/visit0r/local/stow/tce-trunk-llvm-3.5/lib -ltce
LIBOBJS = 
LIBRARY_SUFFIX = .so
LIBS = 
LIBSPE_CFLAGS = 
LIBSPE_LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIB_AGE_VERSION = 3
LIB_CURRENT_VERSION = 4
LIB_FIRST_VERSION = 1
LIB_REVISION_VERSION = 0
LIB_VERSION = 4:0:3
LIPO = 
LLC = /home/visit0r/local/stow/llvm-3.5-opt-tce-patched/bin/llc
LLVM_AS = /home/visit0r/local/stow/llvm-3.5-opt-tce-patched/bin/llvm-as
LLVM_CONFIG = /home/visit0r/local/bin/llvm-config
LLVM_CXX_FLAGS = -I/home/visit0r/local/stow/llvm-3.5-opt-tce-patched/include  -D_DEBUG -D_GNU_SOURCE -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS -O3 -fomit-frame-pointer -std=c++11 -fvisibility-inlines-hidden -fno-exceptions -fPIC -Woverloaded-virtual -ffunction-sections -fdata-sections -Wcast-qual -fno-rtti
LLVM_LDFLAGS = -L/home/visit0r/local/stow/llvm-3.5-opt-tce-patched/lib  -lz -lpthread -ledit -ltinfo -lrt -ldl -lm 
LLVM_LIBS = -lLLVM-3.5.0
LLVM_LINK = /home/visit0r/local/stow/llvm-3.5-opt-tce-patched/bin/llvm-link
LLVM_OPT = /home/visit0r/local/stow/llvm-3.5-opt-tce-patched/bin/opt
LLVM_VERSION = 3.5.0
LN_S = ln -s
LTDL_LIBS = -lltdl 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/visit0r/src/pocl-public/config/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OCL_ICD_CFLAGS = 
OCL_ICD_LIBS = 
OCL_KERNEL_ARCH = 
OCL_KERNEL_TARGET = x86_64-unknown-linux-gnu
OCL_KERNEL_TARGET_CPU = penryn
OCL_TARGETS = host tce
OPENCL_CFLAGS = 
OPENCL_CMAKE = 
OPENCL_EXTLIBS = -lOpenCL
OPENCL_LIBS = -lOpenCL
OPT = /home/visit0r/local/stow/llvm-3.5-opt-tce-patched/bin/opt
OTOOL = 
OTOOL64 = 
PACKAGE = pocl
PACKAGE_BUGREPORT = pocl-devel@lists.sourceforge.net
PACKAGE_NAME = pocl
PACKAGE_STRING = pocl 0.10
PACKAGE_TARNAME = pocl
PACKAGE_URL = 
PACKAGE_VERSION = 0.10
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = :/home/visit0r/local/lib/pkgconfig:/home/visit0r/local/lib/pkgconfig:/home/visit0r/local/lib/pkgconfig
POAT_TESTSUITES =  viennacl rodinia parboil amd amdsdk2_9 piglit
POCL_DEVICE_ADDRESS_BITS = 64
