=== debian/changelog ===
pocl (0.10-10) unstable; urgency=medium

  * fix symbol file (again), perhaps due to previous target adjustment
  * trying pentium-m (for i386) and nehalem (for freebsd-i386) as
    processor target

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 25 Oct 2014 22:32:40 +0200

pocl (0.10-9) unstable; urgency=medium

  * fix symbol file (again)
  * lowering armhf llvm target (cortex-a5 instead of cortex-a7)
    The good one should be ARMv7-A but it does not exist in LLVM
    https://wiki.debian.org/ArmHardFloatPort
  * bumping i386 target (from i686 to pentium4)
    => some officially Debian supported i386 systems wont work with
    pocl

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Oct 2014 14:20:00 +0200

pocl (0.10-8) unstable; urgency=medium

  * fix symbol file for other architecture (!amd64)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 24 Oct 2014 08:09:48 +0200

pocl (0.10-7) unstable; urgency=medium

  * bump minimum arch on i386 (from i586 to i686)
  * to not ignore failed testsuite anymore at build time

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 22 Oct 2014 21:07:51 +0200

pocl (0.10-6) unstable; urgency=medium

  * Fix OpenCL headers for i386 FreeBSD
  * use pkg-kde-tools to handle C++ symbols
  * Try to support more Debian architectures.

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 22 Oct 2014 12:31:11 +0200

pocl (0.10-5) unstable; urgency=medium

  * Fix arm configure.ac detection
  * try to support more Debian architectures

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 21 Oct 2014 14:50:28 +0200

pocl (0.10-4) unstable; urgency=medium

  * No need to provide utlist.h that is already provided in the uthash-dev
    package (Closes: #764571)
  * Fix some glitches in descriptions
  * Remove old unneeded patches
  * Add clang-3.5 dependency for libpocl1 (required when running a kernel)
  * Fix default host CPU for the OpenCL compiler
  * Add info in build logs to help debugging

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 10 Oct 2014 22:23:38 +0200

pocl (0.10-3) unstable; urgency=medium

  * Move the manpage in the correct package

 -- Vincent Danjean <vdanjean@debian.org>  Wed, 08 Oct 2014 00:03:28 +0200

pocl (0.10-2) unstable; urgency=medium

  * Fix URLs, project name and update the copyright list
    (initially created in 2012 with 0.7 version)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 06 Oct 2014 23:22:34 +0200

pocl (0.10-1) unstable; urgency=medium

  * Initial release. (Closes: #676504: ITP: pocl -- Portable OpenCL)

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 05 Oct 2014 21:15:18 +0200
