=== debian/control ===
Source: pocl
Section: devel
Priority: extra
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 9~), autotools-dev, autoconf, dh-autoreconf,
 pkg-config, libhwloc-dev, libltdl-dev, mesa-common-dev,
 ocl-icd-dev (>=2.2.3), ocl-icd-libopencl1 (>=2.2.3), ocl-icd-opencl-dev,
 libedit-dev, libz-dev,
 clang, llvm-3.5-dev, libclang-3.5-dev,
 pkg-kde-tools
Standards-Version: 3.9.6
Homepage: http://portablecl.org
Vcs-Git: git://anonscm.debian.org/collab-maint/pocl.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pocl.git;a=summary

Package: pocl-opencl-icd
Architecture: any
Provides: opencl-icd, opencl-icd-1.1-1, opencl-icd-1.2-1
Section: libs
Depends: ${misc:Depends}, libpocl1 (= ${binary:Version})
Description: pocl ICD
 Portable Computing Language is an open source implementation of the OpenCL
 standard which can be easily adapted for new targets. One of the goals of the
 project is improving performance portability of OpenCL programs, avoiding the
 need for target-dependent manual optimizations. A "native" target is included,
 which allows running OpenCL kernels on the host (CPU).
 .
 This package allows one to use pocl as an installable client driver (ICD) for
 OpenCL.

Package: libpocl1-common
Architecture: all
Section: libs
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for the pocl library
 Portable Computing Language is an open source implementation of the OpenCL
 standard which can be easily adapted for new targets. One of the goals of the
 project is improving performance portability of OpenCL programs, avoiding the
 need for target-dependent manual optimizations. A "native" target is included,
 which allows running OpenCL kernels on the host (CPU).
 .
 This package provides the architecture independent files of the pocl library.

Package: libpocl1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libpocl1-common (= ${source:Version}),
  clang-3.5
Recommends: pocl-opencl-icd
Description: Portable Computing Language library
 Portable Computing Language is an open source implementation of the OpenCL
 standard which can be easily adapted for new targets. One of the goals of the
 project is improving performance portability of OpenCL programs, avoiding the
 need for target-dependent manual optimizations. A "native" target is included,
 which allows running OpenCL kernels on the host (CPU).
 .
 This package provides the core of pocl.

Package: libpoclu1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility library for writing OpenCL programs
 Portable Computing Language is an open source implementation of the OpenCL
 standard which can be easily adapted for new targets. One of the goals of the
 project is improving performance portability of OpenCL programs, avoiding the
 need for target-dependent manual optimizations. A "native" target is included,
 which allows running OpenCL kernels on the host (CPU).
 .
 This package provides an small utility library to help writing OpenCL
 programs.

Package: libpoclu-dev
Architecture: any
Section: libdevel
Multi-Arch: foreign
Depends: ${misc:Depends}, libpoclu1 (= ${binary:Version}), opencl-headers (>= 1.2)
Recommends: ocl-icd-opencl-dev
Description: development files for the pocl utility library
 Portable Computing Language is an open source implementation of the OpenCL
 standard which can be easily adapted for new targets. One of the goals of the
 project is improving performance portability of OpenCL programs, avoiding the
 need for target-dependent manual optimizations. A "native" target is included,
 which allows running OpenCL kernels on the host (CPU).
 .
 This package provides the development files for the pocl utility library,
 that provides various facilities to write OpenCL programs.

Package: libpocl-dev
Architecture: any
Section: libdevel
Multi-Arch: foreign
Depends: ${misc:Depends}, libpocl1 (= ${binary:Version})
Description: development files for the pocl library
 Portable Computing Language is an open source implementation of the OpenCL
 standard which can be easily adapted for new targets. One of the goals of the
 project is improving performance portability of OpenCL programs, avoiding the
 need for target-dependent manual optimizations. A "native" target is included,
 which allows running OpenCL kernels on the host (CPU).
 .
 This package provides the development files for the pocl library.  Unless very
 specific needs, this package is useless.  This package is only required to link
 directly and explicitly with pocl.
 .
 To develop OpenCL programs (that can be run with pocl), the opencl-dev virtual
 package (provided by ocl-icd-opencl-dev for example) is required, not this one.

Package: libpocl-dbg
Architecture: any
Section: debug
Multi-Arch: same
Depends: ${misc:Depends}, libpocl1 (= ${binary:Version})
Description: debugging symbols for pocl
 Portable Computing Language is an open source implementation of the OpenCL
 standard which can be easily adapted for new targets. One of the goals of the
 project is improving performance portability of OpenCL programs, avoiding the
 need for target-dependent manual optimizations. A "native" target is included,
 which allows running OpenCL kernels on the host (CPU).
 .
 This package contains the debugging symbols for libpocl1 and libpoclu0.
