=== debian/watch ===
version=3

opts=uversionmangle=s/((alpha|beta|rc)\d*)/~$1/ \
https://launchpad.net/pocl/+download https://launchpad.net/pocl/[\d.]+/[\d.rcalphbet]+/\+download/pocl-([\d.rcalphbet]+).tar.gz
opts=uversionmangle=s/((alpha|beta|rc)\d*)/~$1/ \
http://pocl.sourceforge.net/downloads/pocl-([\d.rcalphbet]+).tar.gz
